Subject: RE: New snapshots and old binaries
From: "Suhaib Siddiqi" <[email-masked]>
To: "Jon Maltz" <[email-masked]>, "Charles S. Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 31 Aug 1999 10:32:35 -0400

*> 
> Sigh...
> 
> I installed Cygwin b20.1 from a newly downloaded full.exe on a test box,
> untar'd Mumit's gcc-2.95, installed coolview, untar'd
> gcc-2.95-dev-ss.tar.gz, and compiled the simplest c++ app I could 
> think of.
>  While I was previously entertained by a ton of ctype errors, it now
> compiles, but won't run.

Coolview is really not a snapshot of cygwin.  You are missing
stuff.

Install Cygwin1.dll from Cygwin snapshot. In my hands August 19th Cygwin
snapshot is very stable.

Suhaib

> 
> bash-2.02$ g++ hello.cpp -o test2
> bash-2.02$ ./test2
>     0       0 [main] g:\cygnus\usr\home\test2.exe 1073 handle_exceptions:
> Exception: STATUS_ACCESS_VIOLATION
>     0   30303 [main] test2 1073 stackdump: Dumping stack trace to
> test2.exe.stackdump
> bash-2.02$
> 
> C apps compile and run just fine.
> 
> Jon
> 
> Guess I will have to rebuild gcc-2.95...well, might as well go for 2.95.1
> then.
> 
> At 03:45 AM 8/31/99 -0400, Charles S. Wilson wrote something like this:
> >Jon Maltz wrote:
> >
> >> Using Sergey's coolview cygwin1.dll and libcygwin.a, I can't compile
> >> anything with Mumit's gcc-2.95, not even something as simple 
> as a Hello,
> >> World program.  Sergey said that dll was more b21 compatible 
> than b20, so
> >> the question is, how long till b21?
> >>
> >> Jon
> >
> >You must *at least* download the updated gcc libraries to use gcc-2.95
> with the
> >latest snapshots (e.g. the new coolview). The filename is
> gcc-2.95-dev-ss.tar.gz
> >and it's on Mumit's site.
> >
> >--Chuck
> >
> >
> >
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]